package com.tencent.mm.plugin.mmsight.segment;

public interface c {
    void RO(String str);

    float bQa();

    float bQb();

    int getDurationMs();

    void iX(boolean z);

    void release();

    void setCurrentCursorPosition(float f);

    void setOnPreparedListener(a aVar);

    void setThumbBarSeekListener(b bVar);
}
